#!/usr/bin/env python
# -*- encoding: utf-8 -*-
###########################################################################
#    Module Writen to OpenERP, Open Source Management Solution
#
#    Copyright (c) 2019 Grupo SACSA - http://www.gruposacsa.com.mx
#    All Rights Reserved.
############################################################################
#    Coded by:
#       Jorge Alfonso Medina Uriarte (desarrollo.sacsa@gruposacsa.com.mx)
############################################################################
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################


from openerp import fields, models, api


class cost_policy_report_detail(models.TransientModel):

    _name = 'cost.policy.report.detail'

    cost_policy_report_id = fields.Many2one(
        'cost.policy.report', 'Invoice Report',
    )
    move_line_id = fields.Integer(
        'Move Line Id',
    )
    move_id = fields.Integer(
        'Move Id',
    )
    product_id = fields.Integer(
        'Product Id',
    )
    journal = fields.Char(
        'Journal',
    )
    policy = fields.Char(
        'Policy',
    )
    client = fields.Char(
        'Client',
    )
    product = fields.Char(
        'Product',
    )
    move_line_date = fields.Date(
        'Move Line Date',
    )
    move_line_ref = fields.Char(
        'Move Line Ref',
    )
    debit = fields.Float()
    credit = fields.Float()
    quantity = fields.Float()
    coef = fields.Float()
    cost = fields.Float()
    realqty = fields.Float()
    costoreal = fields.Float()